Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I have an asp.net website that targets framework 4 and I want to run it on a win 2003 web server. Several questions floating through my mind right now are:

  • Can I run it on Win Server 2003?
  • If so, what do I need to do beyond installing framework 4?
  • Would I have to upgrade from IIS6 to a higher version?
  • If I install framework 4 will it automatically show up under the ASP.NET tab of the website properties in IIS Manager?
  • Anything else I should know or consider?

I was tasked with this project, but I'm more of a SQL Server and WinForms kind of guy and have limited experience with web development. The last thing I want to do is waste an entire day on this just to find out that it's not even possible so any help here would be much appreciated.

share|improve this question

1 Answer 1

up vote 1 down vote accepted

Yes, it will work. Obviously the code needs to be compiled to target the required version. In the web.config, you can also influence the framework version as follows:

<system.web>  
    <compilation targetFramework="4.0">  
</system.web>  

Web.config Compiliation element
http://msdn.microsoft.com/en-us/library/s10awwz0.aspx

Installing the Framework should configure IIS, although this process is sometimes imperfect. You can install/reinstall ASP.NET 4.0 using the following commands:

Uninstall:

C:\Windows\Microsoft.NET\Framework64\v4.0.30319\aspnet_regiis.exe -u  
C:\Windows\Microsoft.NET\Framework\v4.0.30319\aspnet_regiis.exe -u  

Install:

C:\Windows\Microsoft.NET\Framework64\v4.0.30319\aspnet_regiis.exe -i  
C:\Windows\Microsoft.NET\Framework\v4.0.30319\aspnet_regiis.exe -i  

Note that there are two separate installations for x86 and x64.

share|improve this answer
    
Okay, I actually found out there's a 2008 server I could use. I installed the framework and ran the above command lines. The application pool for my website still doesn't show an option for 4, although the Default Pool is set to 4. Not sure what's up with that? –  Brandon Moore May 9 '12 at 21:01
    
I switched it to use the default asp 4.0 app pool and it's working now. Not sure why I can't create my own app pool that targets 4.0 though? –  Brandon Moore May 9 '12 at 21:24
    
Not sure about that one. Not a good sign though. Restart perhaps? ;-) –  Greg Askew May 9 '12 at 22:34

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.